CON

_clkmode = xtal1 + pll16x
_xinfreq = 5_000_000

OBJ

Lite : "GFX_BINARY_Databus"

PUB Demo
  OUTA[15]:=0
  DIRA[15]:=1
  Lite.PropGFX_Start
  OUTA[15]:=1
  if (Lite.PropGFX_TestValid==0)
    Lite.ResetLite(0)
    Flash(0,5)
    if (Lite.PropGFX_TestValid==0)
      Lite.ResetLite(1)
      Flash(1,5)
      if (Lite.PropGFX_TestValid==0)
        reboot
  Lite.SetBasicMode(Lite#PROPGFX_NTSC,Lite#PROPGFX_4BIT_CHAR_MODE,Lite#PROPGFX_0_SCROLL_COGS,0,Lite#PROPGFX_NORMAL_SPRITES) ' mode+8 = SEPERATE CHAR LINE X SCROLLS
  Lite.SendBuf(@picchr,$2000,$6000)
  Lite.SendBuf(@picmap,$1800,$800)
  Lite.SendBuf(@picpal,$1600,$100)
  repeat

PUB Flash(led, num)
  if led
    repeat num
      repeat 2
        OUTA[15]:=0
        waitcnt(cnt+clkfreq>>2)
        OUTA[15]:=1
        waitcnt(cnt+clkfreq>>2)
  else
    repeat num
      repeat 2
        Lite.Debug(1)
        waitcnt(cnt+clkfreq>>2)
        Lite.Debug(0)
        waitcnt(cnt+clkfreq>>2)

dat
picchr      file      "test256.chr"
picmap      file      "test256.map"
picpal      file      "test256.pal"

'picchr      file      "mrdo256.chr"
'picmap      file      "mrdo256.map"
'picpal      file      "mrdo256.pal"

'picchr      file      "fractal.chr"
'picmap      file      "fractal.map"
'picpal      file      "fractal.pal"

'picchr      file      "apples.chr"
'picmap      file      "apples.map"
'picpal      file      "apples.pal"

'picchr      file      "dkc.chr"
'picmap      file      "dkc.map"
'picpal      file      "dkc.pal"

'picchr      file      "colours.chr"
'picmap      file      "colours.map"
'picpal      file      "colours.pal"

'picchr      file      "girl.chr"
'picmap      file      "girl.map"
'picpal      file      "girl.pal"

'picchr      file      "paper.chr"
'picmap      file      "paper.map"
'picpal      file      "paper.pal"

'picchr      file      "tiles.chr"
'picmap      file      "tiles.map"
'picpal      file      "tiles.pal"

